# rssmgr

Simple, minimal CLI tool for creating, managing, and generating RSS 2.0 feeds.

## Features

- Add, update, and delete RSS feed items easily via interactive prompts
- Supports optional links per item
- Automatically generates valid RSS 2.0 XML file
- Minimal dependencies: written in Bash and requires only `jq`
- Portable and lightweight for Unix-like systems

## Requirements

- Bash shell
- [jq](https://jqlang.org) (for JSON manipulation)


## Usage

1. Clone or download the script:

```bash
git clone https://src.panahifar.ir/ahp/rssmgr.git
cd rssmgr
```

2. Make the script executable:

```bash
chmod +x rssmgr.sh
```

3. Run the script:

```bash
./rssmgr.sh
```

4. Follow the on-screen menu to manage your RSS feed items.

5. The generated RSS XML file is saved as `rss_feed.xml` in the script directory.

## How it works

* Stores feed items in a JSON file (`rss_items.json`)
* Uses interactive CLI prompts to add, update, or remove items
* Generates an RSS 2.0 compliant XML feed with metadata and items
* Supports optional `link` field for each item — can be left empty

## Configuration

Edit the script variables at the top to customize the feed metadata:

```bash
FEED_TITLE="My RSS Feed"
FEED_LINK="https://example.com"
FEED_DESC="Example RSS Feed Description"
FEED_LANG="en-us"
```

## License

This project is licensed under the MIT License. See the [LICENSE](LICENSE) file for details.

## Author

[Amir Husayn Panahifar](http://src.panahifar.ir/ahp)
